mandatory:
    PRODUCTS_BASE_DIR: "/mnt/GEOSUD_WA/SoilMoisture/S2ALBEDO"
    COL_ID: "cesbio-s2albedo"
    COL_TITLE: "Albédo de surface Sentinel-2"
    COL_DESC: >
      La méthode de calcul de l’albédo haute résolution (HR) Sentinel-2 (S2) 
      a déjà été utilisée dans le cadre du programme Copernicus Global 
      Land Service (http://land.copernicus.eu/global/) en considérant les données 
      PROBA-V (Roujean et al., RSE, 2018, https://doi.org/10.1016/j.rse.2018.05.015). 
      Elle utilise ici en entrée les données MAJA L2A et comprend deux étapes. 
      En premier lieu, un jeu de données spectrales est constitué par accumulation 
      de scènes S2 au cours du temps afin de disposer de mesures directionnelles 
      permettant d’inverser un modèle de la Fonction de Distribution de la 
      Réflectance Bidirectionnelle (FDRB). Du fait du champ de vue réduit de S2, 
      la directionalité provient surtout de la variabilité de la géométrie solaire, 
      et ainsi la qualité du produit albédo HR peut varier selon la longueur de la 
      période de temps choisie. En second lieu, un modèle de FDRB est inversé sur 
      chaque jeu de données directionnelles spectrales multitemporel pour servir à 
      simuler ensuite la réflectance dans toutes les directions. L’intégration du 
      modèle de FDRB sur l’espace des directions de visée fournit la réflectance 
      directionnelle hémisphérique (DHR en anglais) et l’intégration de l’albédo 
      DHR sur l’espace des directions d’illumination fournit la réflectance 
      bidirectionnelle hémisphérique (BHR en anglais). Il s’agit ici d’un produit 
      albédo DHR correspondant au midi solaire local. Il est fourni avec une 
      incertitude qui traduit l’erreur cumulée dans sa réalisation. La dernière 
      étape consiste à convertir les albédos spectraux de S2 en un albédo solaire. 
      La loi de conversion est obtenue à partir de simulations d’un modèle de 
      transfert radiatif incluant des milliers de couverts végétaux. Ce travail a 
      été réalisé dans le cadre du programme SCO (Space Climate Observatory) du CNES 
      au travers du projet sat4BDNB mené en collaboration entre le CESBIO et le CSTB 
      (Centre Scientifique et Technique du Bâtiment) et qui s’appuie sur la Base de 
      Données Nationales du Bâtiment (BDNB). La période choisie est du 1er juin au 
      30 septembre 2022. Un albédo HR moyen est généré sur cette période pour toute 
      la métropole selon un tuilage et une projection géographique calqués sur le 
      produit MAJA L2A. Le produit a été vérifié par inter-comparaison avec des 
      mesures faites à partir d’albédomètres positionnés sur 6 prairies françaises 
      équiréparties sur le territoire national. Les résultats statistiques donnent un 
      biais de -0.01 et une erreur quadratique moyenne de 0.02 en unité de réflectance. 
      La valeur de l'albédo a été multipliée par un facteur 10000 pour archivage.
    # Public URL to a png image symbolyzing your collection (ex: https://imgbb.com/)
    COL_QUICLOOK_URL: "https://i.ibb.co/zTkKC22s/s2albedo-512.png"
    # Filename prefix to find your products in PRODUCTS_BASE_DIR
    PROD_NAME_PREFIX: "SWA_"
    # Case sensitive raster filename extension to filter your products in PRODUCTS_BASE_DIR (tif,jpg,...)
    PROD_NAME_EXT: "TIF"
    # Assets designating your product href in catalog
    ASSETS:
        - key: "SWA"
          title: "S2Albedo image"
          desc: "Surface albedo derived from MAJA processed L2A Sentinel-2"
        - key: "QL"
          title: "S2Albedo Quicklook"
          desc: "Surface albedo Quicklook"  
    CONTACT:
        - name: "Jean-Louis Roujean"
          organization: "CESBIO"
    PROVIDERS:
        - name: "CESBIO"
          url: "https://www.cesbio.cnrs.fr/"
    DOI: "https://doi.org/10.1016/j.rse.2018.05.015"
    # use python datetime strftime regex (dt) for keys and use python re search regex (re) for value
    PROD_DATETIME_REGEX:
        - dt: "%Y-%m-%dT%H-%M-%S"
          re: '([1|2]\d{3})-((0[1-9])|(1[0-2]))-(0[1-9]|[1-2][0-9]|(3[0-1]))T(([0-1][1-9])|(2[0-3]))-([0-5][0-9])-([0-5][0-9])'
        - dt: "%Y%m%dT%H%M%S"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))T(([0-1][0-9])|(2[0-3]))([0-5][0-9])([0-5][0-9])'
        - dt: "%Y%m%d%H%M%S"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))(([0-1][1-9])|(2[0-3]))([0-5][0-9])([0-5][0-9])'
        - dt: "%Y-%m-%d"
          re: '([1|2]\d{3})-((0[1-9])|(1[0-2]))-(0[1-9]|[1-2][0-9]|(3[0-1]))'
        - dt: "%Y%m%d"
          re: '([1|2]\d{3})((0[1-9])|(1[0-2]))(0[1-9]|[1-2][0-9]|(3[0-1]))'
optional:
    # Delete unnecessary key/value to fit your product architecture
    ASSET_SCALES:
        - band_index: 1
          scale: 0.0001
    # ASSET_SCALES:
    #     - band_index: 1
    #       scale: 1.0
    #     - band_index: 2
    #       scale: 1.0
    #     - band_index: 3
    #       scale: 1.0
    # ASSET_OFFSETS:
    #     - band_index: 1
    #       offset: 1.0
    #     - band_index: 2
    #       offset: 1.0
    #     - band_index: 3
    #       offset: 1.0
    # ASSET_NODATA: 0.0
    
